<?php
/**
* プロシージャを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IProcedure extends IObject
{
	/*
	 * プロシージャを初期化する
	 */
	public function init( Config $config );

	/*
	 * プロシージャを実行する
	 */
	public function execute( IRequest $request, Response $response );
}

return __FILE__;